Skip to content

Pinterest Search API

GET https://api.fetchproof.com/v1/pinterest/search

Search Pinterest

Default cost: 1 credit per call 0 credits on error
Code & Payload

Quick start

Open interactive playground in Docs ↗

cURL

curl --request GET 'https://api.fetchproof.com/v1/pinterest/search?query=nasa' \
  --header 'x-api-key: YOUR_API_KEY'

JavaScript

const response = await fetch("https://api.fetchproof.com/v1/pinterest/search?query=nasa", {
  method: 'GET',
  headers: {
    'x-api-key': process.env.FETCHPROOF_API_KEY,
  },
});
const data = await response.json();
console.log(data);

Python

import os
import requests

response = requests.get(
    "https://api.fetchproof.com/v1/pinterest/search?query=nasa",
    headers={"x-api-key": os.environ["FETCHPROOF_API_KEY"]},
)
print(response.json())

Go

package main

import (
  "fmt"
  "io"
  "net/http"
  "os"
)

func main() {
  req, _ := http.NewRequest("GET", "https://api.fetchproof.com/v1/pinterest/search?query=nasa", nil)
  req.Header.Set("x-api-key", os.Getenv("FETCHPROOF_API_KEY"))
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := io.ReadAll(res.Body)
  fmt.Println(string(body))
}

PHP

<?php
$ch = curl_init("https://api.fetchproof.com/v1/pinterest/search?query=nasa");
curl_setopt_array($ch, [
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    'x-api-key: ' . getenv('FETCHPROOF_API_KEY'),
  ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "pins": [
    {
      "node_id": "UGluOmUxX0FmcVBTaHhkVjZRaDRBRDA0VkJJSHFXNjBYZDhvaGVscWZHTDBhNFRhRHpSdkVvdXdXZWE=",
      "auto_alt_text": "nasa logo on the side of an airplane",
      "id": "e1_AfqPShxdV6Qh4AD04VBIHqW60Xd8ohelqfGL0a4TaDzRvEouwWea",
      "is_promoted": false,
      "description": " ",
      "title": "NASA Johnson Space Center",
      "images": {
        "orig": {
          "width": 3000,
          "height": 4000,
          "url": "https://i.pinimg.com/originals/db/78/19/db781900ed80f2229da2559ba37742cf.jpg"
        },
        "170x": {
          "width": 236,
          "height": 314,
          "url": "https://i.pinimg.com/236x/db/78/19/db781900ed80f2229da2559ba37742cf.jpg"
        },
        "236x": {
          "width": 236,
          "height": 314,
          "url": "https://i.pinimg.com/236x/db/78/19/db781900ed80f2229da2559ba37742cf.jpg"
        },
        "474x": {
          "width": 474,
          "height": 632,
          "url": "https://i.pinimg.com/474x/db/78/19/db781900ed80f2229da2559ba37742cf.jpg"
        },
        "736x": {
          "width": 736,
          "height": 981,
          "url": "https://i.pinimg.com/736x/db/78/19/db781900ed80f2229da2559ba37742cf.jpg"
        }
      },
      "domain": "Uploaded by user",
      "seo_alt_text": "nasa logo on the side of an airplane",
      "board": {
        "node_id": "Qm9hcmQ6Njg3MzYyMDMwNTY3NzYyMzU0",
        "name": "Pins by you",
        "cover_images": {},
        "owner": {
          "node_id": "VXNlcjo2ODczNjIwOTkyODYwNzIxNzk=",
          "verified_identity": {},
          "follower_count": 12,
          "full_name": "names.sand",
          "image_large_url": "https://i.pinimg.com/140x140_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
          "is_ads_only_profile": false,
          "id": "687362099286072179",
          "image_small_url": "https://i.pinimg.com/30x30_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
          "image_medium_url": "https://i.pinimg.com/75x75_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
          "is_verified_merchant": false,
          "username": "sandyhh07"
        },
        "id": "687362030567762354",
        "url": "/sandyhh07/_quick_creates/",
        "collaborating_users": [],
        "images": {
          "236x": [
            {
              "url": "https://i.pinimg.com/236x/4d/9f/4e/4d9f4e6d65d4e40222437b711b4800f7.jpg",
              "width": 236,
              "height": 314,
              "dominant_color": "#41403D"
            },
            {
              "url": "https://i.pinimg.com/236x/6b/4c/6f/6b4c6fc5f299c75a1e4ded3b291afeb5.jpg",
              "width": 236,
              "height": 419,
              "dominant_color": "#4A4A38"
            },
            {
              "url": "https://i.pinimg.com/236x/86/02/9b/86029ba7f006f78347c5229e0166084f.jpg",
              "width": 236,
              "height": 314,
              "dominant_color": "#040D05"
            }
          ]
        },
        "pin_count": 327,
        "is_collaborative": false,
        "section_count": 0,
        "board_order_modified_at": "Sat, 08 Apr 2023 14:04:23 +0000",
        "type": "board",
        "collaborator_count": 0,
        "image_cover_url": "https://i.pinimg.com/150x150/86/02/9b/86029ba7f006f78347c5229e0166084f.jpg",
        "pin_thumbnail_urls": [
          "https://i.pinimg.com/150x150/4e/06/12/4e061205ddb78a2f58885bd11c5a2f1a.jpg",
          "https://i.pinimg.com/150x150/9e/a0/fa/9ea0fac63ee176a941f3427973b72f64.jpg",
          "https://i.pinimg.com/150x150/3f/e2/b6/3fe2b69e517c0fcd23db968f85b3edd1.jpg"
        ],
        "image_cover_hd_url": "https://i.pinimg.com/150x150/86/02/9b/86029ba7f006f78347c5229e0166084f.jpg"
      },
      "grid_title": "NASA Johnson Space Center",
      "created_at": "Sun, 18 Aug 2024 04:45:50 +0000",
      "pinner": {
        "node_id": "VXNlcjo2ODczNjIwOTkyODYwNzIxNzk=",
        "verified_identity": {},
        "follower_count": 12,
        "full_name": "names.sand",
        "image_large_url": "https://i.pinimg.com/140x140_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
        "is_ads_only_profile": false,
        "id": "687362099286072179",
        "image_small_url": "https://i.pinimg.com/30x30_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
        "image_medium_url": "https://i.pinimg.com/75x75_RS/6b/d3/7e/6bd37efd4e2d78944534186ec4d902b4.jpg",
        "is_verified_merchant": false,
        "username": "sandyhh07"
      },
      "story_pin_data": {
        "node_id": "U3RvcnlQaW5EYXRhOjUzODEyNTI2MTYyOTI0NjE0NTg=",
        "type": "storypindata",
        "page_count": 1,
        "total_video_duration": 0,
        "metadata": {
          "compatible_version": "0.16.0",
          "is_compatible": false,
          "pin_title": "",
          "pin_image_signature": "db781900ed80f2229da2559ba37742cf",
          "is_promotable": true,
          "canvas_aspect_ratio": 0.75,
          "is_editable": false,
          "version": "0.16.0",
          "root_user_id": "687362099286072179",
          "root_pin_id": "e1_AfqPShxdV6Qh4AD04VBIHqW60Xd8ohelqfGL0a4TaDzRvEouwWea"
        },
        "id": "5381252616292461458",
        "has_affiliate_products": false,
        "pages": [
          {
            "should_mute": false,
            "type": "storypinpage",
            "blocks": [
              {
                "block_type": 2,
                "type": "story_pin_image_block",
                "tracking_id": "5381252553874928871",
                "block_style": {
                  "width": 100,
                  "x_coord": 0,
                  "rotation": 0,
                  "y_coord": 0,
                  "height": 100,
                  "corner_radius": 0
                },
                "image_signature": "db781900ed80f2229da2559ba37742cf",
                "text": ""
              }
            ],
            "image_signature_adjusted": "db781900ed80f2229da2559ba37742cf",
            "id": "2640713454",
            "layout": 0,
            "style": {
              "background_color": "#101C24"
            },
            "music_attributions": [],
            "image_signature": "db781900ed80f2229da2559ba37742cf"
          }
        ],
        "static_page_count": 1,
        "has_product_pins": false
      }
    },
    {
      "node_id": "UGluOmUxX0FmcVBTaHotZUdzNFlQM1J5bU1zNS1xRlREOXZtV3FaQ05NNWtldXkwYjFPdGtoZ3VHRnk=",
      "auto_alt_text": "the nasa logo is shown in red and blue",
      "id": "e1_AfqPShz-eGs4YP3RymMs5-qFTD9vmWqZCNM5keuy0b1OtkhguGFy",
      "is_promoted": false,
      "description": "NASA Selects Three Additional Informal Learning Institutions to Engage Learners in its Mission via NASA https://t.co/lYUWYMHCfL #RatGroup #Marketing #Tipps",
      "title": "",
      "images": {
        "orig": {
          "width": 1041,
          "height": 862,
          "url": "https://i.pinimg.com/originals/59/24/f3/5924f3af90a706d0f274671db89af7ca.jpg"
        },
        "170x": {
          "width": 236,
          "height": 195,
          "url": "https://i.pinimg.com/236x/59/24/f3/5924f3af90a706d0f274671db89af7ca.jpg"
        },
        "236x": {
          "width": 236,
          "height": 195,
          "url": "https://i.pinimg.com/236x/59/24/f3/5924f3af90a706d0f274671db89af7ca.jpg"
        },
        "474x": {
          "width": 474,
          "height": 392,
          "url": "https://i.pinimg.com/474x/59/24/f3/5924f3af90a706d0f274671db89af7ca.jpg"
        },
        "736x": {
          "width": 736,
          "height": 609,
          "url": "https://i.pinimg.com/736x/59/24/f3/5924f3af90a706d0f274671db89af7ca.jpg"
        }
      },
      "domain": "Uploaded by user",
      "seo_alt_text": "the nasa logo is shown in red and blue",
      "board": {
        "node_id": "Qm9hcmQ6NzQwMjc5MzI2MTg4MDQ3NDcx",
        "name": "Blogging - Online - Marketing - Content - EU-DSGVO",
        "cover_images": {
          "236x": {
            "url": "https://i.pinimg.com/custom_covers/236x/740279326188047471_1612812416.jpg",
            "width": 236
          }
        },
        "owner": {
          "node_id": "VXNlcjo3NDAyNzkzOTQ5MDc0OTE5NjY=",
          "verified_identity": {},
          "follower_count": 2943,
          "full_name": "Steffen Tanzmann - Headless API",
          "image_large_url": "https://i.pinimg.com/140x140_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
          "is_ads_only_profile": false,
          "id": "740279394907491966",
          "image_small_url": "https://i.pinimg.com/30x30_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
          "image_medium_url": "https://i.pinimg.com/75x75_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
          "is_verified_merchant": false,
          "username": "HeadlessAPI"
        },
        "id": "740279326188047471",
        "url": "/HeadlessAPI/blogging-online-marketing-content-eu-dsgvo/",
        "collaborating_users": [],
        "images": {
          "236x": [
            {
              "url": "https://i.pinimg.com/236x/55/ce/c4/55cec47a52a54f12cabf232cdd1d8444.jpg",
              "width": 236,
              "height": 354,
              "dominant_color": "#6E848F"
            },
            {
              "url": "https://i.pinimg.com/236x/a8/1a/9d/a81a9d49a2bbf6667de96d29dce70531.jpg",
              "width": 236,
              "height": 354,
              "dominant_color": "#FFFDFD"
            },
            {
              "url": "https://i.pinimg.com/236x/57/96/48/5796485d08047cb0e8985be71cb30c00.jpg",
              "width": 236,
              "height": 354,
              "dominant_color": "#FFFDFD"
            }
          ]
        },
        "pin_count": 965,
        "is_collaborative": false,
        "section_count": 1,
        "board_order_modified_at": "Sat, 15 Nov 2025 07:46:22 +0000",
        "type": "board",
        "collaborator_count": 0,
        "image_cover_url": "https://i.pinimg.com/custom_covers/200x150/740279326188047471_1612812416.jpg",
        "pin_thumbnail_urls": [
          "https://i.pinimg.com/150x150/a8/1a/9d/a81a9d49a2bbf6667de96d29dce70531.jpg",
          "https://i.pinimg.com/150x150/57/96/48/5796485d08047cb0e8985be71cb30c00.jpg",
          "https://i.pinimg.com/150x150/22/b4/15/22b4153f04485786268aea2d021dbd35.jpg"
        ],
        "image_cover_hd_url": "https://i.pinimg.com/474x/e6/32/44/e632445a80f2bb767702067c419b1c89.jpg"
      },
      "grid_title": "",
      "created_at": "Tue, 26 Mar 2019 20:44:27 +0000",
      "pinner": {
        "node_id": "VXNlcjo3NDAyNzkzOTQ5MDc0OTE5NjY=",
        "verified_identity": {},
        "follower_count": 2943,
        "full_name": "Steffen Tanzmann - Headless API",
        "image_large_url": "https://i.pinimg.com/140x140_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
        "is_ads_only_profile": false,
        "id": "740279394907491966",
        "image_small_url": "https://i.pinimg.com/30x30_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
        "image_medium_url": "https://i.pinimg.com/75x75_RS/db/75/ff/db75ff748cf250aa4fe278511cf13667.jpg",
        "is_verified_merchant": false,
        "username": "HeadlessAPI"
      }
    },
    {
      "node_id": "UGluOmUxX0FmcVBTaHpvTzVfLVZCcVZ4aTIzX2V4UTlLcGZyWFhNRGxxd3R4eEw0Z2NHdHlEMFM2eGI=",
      "auto_alt_text": "an astronaut standing on the moon holding a flag",
      "id": "e1_AfqPShzoO5_-VBqVxi23_exQ9KpfrXXMDlqwtxxL4gcGtyD0S6xb",
      "is_promoted": false,
      "description": "'nauts",
      "title": "",
      "images": {
        "orig": {
          "width": 636,
          "height": 808,
          "url": "https://i.pinimg.com/originals/5a/f3/45/5af3455dd849ca4c9db44af2553a589c.jpg"
        },
        "170x": {
          "width": 236,
          "height": 299,
          "url": "https://i.pinimg.com/236x/5a/f3/45/5af3455dd849ca4c9db44af2553a589c.jpg"
        },
        "236x": {
          "width": 236,
          "height": 299,
          "url": "https://i.pinimg.com/236x/5a/f3/45/5af3455dd849ca4c9db44af2553a589c.jpg"
        },
        "474x": {
          "width": 474,
          "height": 602,
          "url": "https://i.pinimg.com/474x/5a/f3/45/5af3455dd849ca4c9db44af2553a589c.jpg"
        },
        "736x": {
          "width": 636,
          "height": 808,
          "url": "https://i.pinimg.com/736x/5a/f3/45/5af3455dd849ca4c9db44af2553a589c.jpg"
        }
      },
      "domain": "Uploaded by user",
      "seo_alt_text": "an astronaut standing on the moon holding a flag",
      "board": {
        "node_id": "Qm9hcmQ6MTU1NTE1MDYyMDcxNjIxNjk5",
        "name": "America",
        "cover_images": {
          "236x": {
            "url": "https://i.pinimg.com/custom_covers/236x/155515062071621699_1422371665.jpg",
            "width": 236
          }
        },
        "owner": {
          "node_id": "VXNlcjoxNTU1MTUxMzA3OTEwNzE0MTQ=",
          "verified_identity": {},
          "follower_count": 125,
          "full_name": "Jake Thompson",
          "image_large_url": "https://i.pinimg.com/140x140_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
          "is_ads_only_profile": false,
          "id": "155515130791071414",
          "image_small_url": "https://i.pinimg.com/30x30_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
          "image_medium_url": "https://i.pinimg.com/75x75_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
          "is_verified_merchant": false,
          "username": "officerpupp"
        },
        "id": "155515062071621699",
        "url": "/officerpupp/america/",
        "collaborating_users": [],
        "images": {
          "236x": [
            {
              "url": "https://i.pinimg.com/236x/b9/ef/c7/b9efc781b69aa4841975830232c5893d.jpg",
              "width": 236,
              "height": 314,
              "dominant_color": "#D0C3B0"
            },
            {
              "url": "https://i.pinimg.com/236x/41/34/f5/4134f5dd51fa7aa9655b76949d1bb300.jpg",
              "width": 236,
              "height": 314,
              "dominant_color": "#94908C"
            },
            {
              "url": "https://i.pinimg.com/236x/74/cc/b8/74ccb8a6c43d4243dbd37ab0940476df.jpg",
              "width": 236,
              "height": 328,
              "dominant_color": "#D25439"
            }
          ]
        },
        "pin_count": 157,
        "is_collaborative": false,
        "section_count": 0,
        "board_order_modified_at": "Fri, 06 Nov 2026 19:20:04 +0000",
        "type": "board",
        "collaborator_count": 0,
        "image_cover_url": "https://i.pinimg.com/custom_covers/200x150/155515062071621699_1422371665.jpg",
        "pin_thumbnail_urls": [
          "https://i.pinimg.com/150x150/b9/ef/c7/b9efc781b69aa4841975830232c5893d.jpg",
          "https://i.pinimg.com/150x150/41/34/f5/4134f5dd51fa7aa9655b76949d1bb300.jpg",
          "https://i.pinimg.com/150x150/74/cc/b8/74ccb8a6c43d4243dbd37ab0940476df.jpg"
        ],
        "image_cover_hd_url": "https://i.pinimg.com/474x/d3/18/f3/d318f335a1fe606f711690f17c9961a3.jpg"
      },
      "grid_title": "",
      "created_at": "Fri, 20 Feb 2015 17:53:43 +0000",
      "pinner": {
        "node_id": "VXNlcjoxNTU1MTUxMzA3OTEwNzE0MTQ=",
        "verified_identity": {},
        "follower_count": 125,
        "full_name": "Jake Thompson",
        "image_large_url": "https://i.pinimg.com/140x140_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
        "is_ads_only_profile": false,
        "id": "155515130791071414",
        "image_small_url": "https://i.pinimg.com/30x30_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
        "image_medium_url": "https://i.pinimg.com/75x75_RS/67/88/b5/6788b536f9f1c2276f4049a3ece5da0c.jpg",
        "is_verified_merchant": false,
        "username": "officerpupp"
      }
    }
  ],
  "cursor": "Y2JVSG81V2sxcmNHRlpWM1J5VFVad1ZsWlVSbXRXTVVZMldXdGFRMVl4U25KWFZFcFhVbTFvTTFreU1WZFNhelZXVm14b1YxSnJjRkJXYlhSWFVqQTFWMVZzYUdwU1ZuQlBXVlJPVTJWV1pISlhhM1JYVm10V05sVldVbE5XVjBaeVkwWmtWV0V4VlRGV2JGcFBWbFpXY2s5WGJGZFdiR3Q0Vm1wS05HRXhUblJWV0dST..."
}
Response JSON · /v1/pinterest/search

What it returns

success boolean
credits_remaining integer
credits_charged integer
pins array
cursor string

Parameters

query string query required

Search query

trim boolean query optional

Set true for a trimmed response.

cursor string query optional

Cursor

Use cases

Billing

Errors cost zero credits. Empty results follow this operation’s rules.

Default: 1 credit

An empty result costs 0 credits.

How charges are determined

Cost is decided per call, not per endpoint: the same operation can cost different amounts depending on what it returns.

A call that fails costs 0 credits. A result served from cache costs 0 credits.

`default` is the cost when no rule matches. Rules are evaluated in order and the first whose conditions all hold wins.

A `when` condition is one of: `param` (the request parameter is true), `outcome` (the classifier's outcome), `empty` / `nonEmpty` (a response field is empty and absent, or a non-empty array or string), `flag` (a response field is exactly true).

A cost of `{ perStartedMinute: n, of: [fields] }` is n x max(1, ceil(seconds / 60)), so even a short result bills at least one minute.

FAQ

How much does the Pinterest Search API cost?

A call costs 1 credit by default. Errors cost 0 credits. New accounts get 100 free credits with no card. After that, credits come in one-time packs that never expire: 25,000 for $27 and 500,000 for $297 (plus any tax). There is no subscription.

What do I need to call it?

An API key in the x-api-key header, plus query. You don't need a Pinterest account or developer app.

What does it return?

Typed JSON. Top-level fields include pins and cursor. The full schema and a real sample response are on this page and in the API reference.

Is this an official Pinterest API?

No. Fetchproof is an unofficial API that returns public Pinterest data only.